orte/include/orte_types.h File Reference.TH "orte/include/orte_types.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/include/orte_types.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_DPS_ID_MAX\fP   UINT8_MAX"
.br
.ti -1c
.RI "#define \fBORTE_BYTE\fP   (\fBorte_data_type_t\fP)    1"
.br
.RI "\fIa byte of data \fP"
.ti -1c
.RI "#define \fBORTE_BOOL\fP   (\fBorte_data_type_t\fP)    2"
.br
.RI "\fIboolean \fP"
.ti -1c
.RI "#define \fBORTE_STRING\fP   (\fBorte_data_type_t\fP)    3"
.br
.RI "\fIa NULL terminated string \fP"
.ti -1c
.RI "#define \fBORTE_SIZE\fP   (\fBorte_data_type_t\fP)    4"
.br
.RI "\fIthe generic size_t \fP"
.ti -1c
.RI "#define \fBORTE_PID\fP   (\fBorte_data_type_t\fP)    5"
.br
.RI "\fIprocess pid \fP"
.ti -1c
.RI "#define \fBORTE_INT\fP   (\fBorte_data_type_t\fP)    6"
.br
.RI "\fIgeneric integer \fP"
.ti -1c
.RI "#define \fBORTE_INT8\fP   (\fBorte_data_type_t\fP)    7"
.br
.RI "\fIan 8-bit integer \fP"
.ti -1c
.RI "#define \fBORTE_INT16\fP   (\fBorte_data_type_t\fP)    8"
.br
.RI "\fIa 16-bit integer \fP"
.ti -1c
.RI "#define \fBORTE_INT32\fP   (\fBorte_data_type_t\fP)    9"
.br
.RI "\fIa 32-bit integer \fP"
.ti -1c
.RI "#define \fBORTE_INT64\fP   (\fBorte_data_type_t\fP)   10"
.br
.RI "\fIa 64-bit integer \fP"
.ti -1c
.RI "#define \fBORTE_UINT\fP   (\fBorte_data_type_t\fP)   11"
.br
.RI "\fIgeneric unsigned integer \fP"
.ti -1c
.RI "#define \fBORTE_UINT8\fP   (\fBorte_data_type_t\fP)   12"
.br
.RI "\fIan 8-bit unsigned integer \fP"
.ti -1c
.RI "#define \fBORTE_UINT16\fP   (\fBorte_data_type_t\fP)   13"
.br
.RI "\fIa 16-bit unsigned integer \fP"
.ti -1c
.RI "#define \fBORTE_UINT32\fP   (\fBorte_data_type_t\fP)   14"
.br
.RI "\fIa 32-bit unsigned integer \fP"
.ti -1c
.RI "#define \fBORTE_UINT64\fP   (\fBorte_data_type_t\fP)   15"
.br
.RI "\fIa 64-bit unsigned integer \fP"
.ti -1c
.RI "#define \fBORTE_FLOAT\fP   (\fBorte_data_type_t\fP)   16"
.br
.RI "\fIsingle-precision float \fP"
.ti -1c
.RI "#define \fBORTE_FLOAT4\fP   (\fBorte_data_type_t\fP)   17"
.br
.RI "\fI4-byte float - usually equiv to single \fP"
.ti -1c
.RI "#define \fBORTE_DOUBLE\fP   (\fBorte_data_type_t\fP)   18"
.br
.RI "\fIdouble-precision float \fP"
.ti -1c
.RI "#define \fBORTE_FLOAT8\fP   (\fBorte_data_type_t\fP)   19"
.br
.RI "\fI8-byte float - usually equiv to double \fP"
.ti -1c
.RI "#define \fBORTE_LONG_DOUBLE\fP   (\fBorte_data_type_t\fP)   20"
.br
.RI "\fIlong-double precision float \fP"
.ti -1c
.RI "#define \fBORTE_FLOAT12\fP   (\fBorte_data_type_t\fP)   21"
.br
.RI "\fI12-byte float - used as long-double on some systems \fP"
.ti -1c
.RI "#define \fBORTE_FLOAT16\fP   (\fBorte_data_type_t\fP)   22"
.br
.RI "\fI16-byte float - used as long-double on some systems \fP"
.ti -1c
.RI "#define \fBORTE_BYTE_OBJECT\fP   (\fBorte_data_type_t\fP)   23"
.br
.RI "\fIbyte object structure \fP"
.ti -1c
.RI "#define \fBORTE_DATA_TYPE\fP   (\fBorte_data_type_t\fP)   24"
.br
.RI "\fIdata type \fP"
.ti -1c
.RI "#define \fBORTE_NULL\fP   (\fBorte_data_type_t\fP)   25"
.br
.RI "\fIdon't interpret data type \fP"
.ti -1c
.RI "#define \fBORTE_NAME\fP   (\fBorte_data_type_t\fP)   26"
.br
.RI "\fIan ompi_process_name_t \fP"
.ti -1c
.RI "#define \fBORTE_VPID\fP   (\fBorte_data_type_t\fP)   27"
.br
.RI "\fIa vpid \fP"
.ti -1c
.RI "#define \fBORTE_JOBID\fP   (\fBorte_data_type_t\fP)   28"
.br
.RI "\fIa jobid \fP"
.ti -1c
.RI "#define \fBORTE_JOBGRP\fP   (\fBorte_data_type_t\fP)   29"
.br
.RI "\fIa job group \fP"
.ti -1c
.RI "#define \fBORTE_CELLID\fP   (\fBorte_data_type_t\fP)   30"
.br
.RI "\fIa cellid \fP"
.ti -1c
.RI "#define \fBORTE_NODE_STATE\fP   (\fBorte_data_type_t\fP)   31"
.br
.RI "\fInode status flag \fP"
.ti -1c
.RI "#define \fBORTE_PROC_STATE\fP   (\fBorte_data_type_t\fP)   32"
.br
.RI "\fIprocess/resource status \fP"
.ti -1c
.RI "#define \fBORTE_JOB_STATE\fP   (\fBorte_data_type_t\fP)   33"
.br
.RI "\fIjob status flag \fP"
.ti -1c
.RI "#define \fBORTE_EXIT_CODE\fP   (\fBorte_data_type_t\fP)   34"
.br
.RI "\fIprocess exit code \fP"
.ti -1c
.RI "#define \fBORTE_KEYVAL\fP   (\fBorte_data_type_t\fP)   35"
.br
.RI "\fIregistry key-value pair \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_ACTION\fP   (\fBorte_data_type_t\fP)   36"
.br
.RI "\fIregistry notify action \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER_ACTION\fP   (\fBorte_data_type_t\fP)   37"
.br
.RI "\fIregistry trigger action \fP"
.ti -1c
.RI "#define \fBORTE_GPR_CMD\fP   (\fBorte_data_type_t\fP)   38"
.br
.RI "\fIregistry command \fP"
.ti -1c
.RI "#define \fBORTE_GPR_SUBSCRIPTION_ID\fP   (\fBorte_data_type_t\fP)   39"
.br
.RI "\fIregistry notify id tag \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER_ID\fP   (\fBorte_data_type_t\fP)   40"
.br
.RI "\fIregistry notify id tag \fP"
.ti -1c
.RI "#define \fBORTE_GPR_VALUE\fP   (\fBorte_data_type_t\fP)   41"
.br
.RI "\fIregistry return value \fP"
.ti -1c
.RI "#define \fBORTE_GPR_ADDR_MODE\fP   (\fBorte_data_type_t\fP)   42"
.br
.RI "\fIAddressing mode for registry cmds. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_SUBSCRIPTION\fP   (\fBorte_data_type_t\fP)   43"
.br
.RI "\fIdescribes data returned by subscription \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER\fP   (\fBorte_data_type_t\fP)   44"
.br
.RI "\fIdescribes trigger conditions \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_DATA\fP   (\fBorte_data_type_t\fP)   45"
.br
.RI "\fIdata returned from a subscription \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_MSG\fP   (\fBorte_data_type_t\fP)   46"
.br
.RI "\fInotify message containing notify_data objects \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_MSG_TYPE\fP   (\fBorte_data_type_t\fP)   47"
.br
.RI "\fInotify message type (subscription or trigger) \fP"
.ti -1c
.RI "#define \fBORTE_APP_CONTEXT\fP   (\fBorte_data_type_t\fP)   48"
.br
.RI "\fIargv and enviro arrays \fP"
.ti -1c
.RI "#define \fBORTE_APP_CONTEXT_MAP\fP   (\fBorte_data_type_t\fP)   49"
.br
.RI "\fIapplication context mapping array \fP"
.ti -1c
.RI "#define \fBORTE_DPS_ID_DYNAMIC\fP   60"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef uint8_t \fBorte_data_type_t\fP"
.br
.RI "\fISupported datatypes for messaging and storage operations. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Typedef Documentation"
.PP 
.SS "typedef uint8_t \fBorte_data_type_t\fP"
.PP
Supported datatypes for messaging and storage operations. 
.PP
ANY CHANGES TO THESE DEFINITIONS MUST BE REFLECTED IN THE TEXT ARRAY orte_data_strings DEFINED IN src/runtime/orte_init.c. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
